<?php
header('Content-Type: text/xml');

include ("config_inc.php");

$var_path = isset($_GET['path']) ? $_GET['path'] : '/';
$real_path = realpath($ROOT . $var_path);
//echo "real_path=[" . $real_path . "]<br>";

$file_data		="";
$folder_data	="";
$file_detail 	="";

// First we build to arrays from the contents of the current folder.
// list_folders will contain all the directories/folders
// list_files will contin all the files.
if (strpos($real_path, $ROOT) === 0) 
{
	$dir = dir($real_path);
	while ($entry = $dir->read()) 
	{
		//echo "entry=[" . $entry . "]<br>";
		if (substr($entry, 0, 1) == ".")
		   continue;
		   
		if (!is_dir($dir->path . '/' . $entry)) 
		{
			$file_info = stat($dir->path . '/' . $entry);

			// Generate the file detail structuure
			$file_detail = "<name>" . htmlspecialchars($entry) . "</name>" .  
							"<size>" . $file_info['size'] . "</size>".
							"<mtime>" . date ("m.d.Y H:i:s", $file_info['mtime']) . "</mtime>";

							"<mtime>" . date ("F d Y H:i:s", $file_info['mtime']) . "</mtime>";


//			$file_data .= "<file>" . htmlspecialchars($entry) . $file_detail . "</file>\n";
			$file_data .= "<file>" . $file_detail . "</file>";
		}
		else
		{
			$folder_data .= '<folder>' . htmlspecialchars($entry) . "</folder>";
		}
	}
}


// Now we build an XML output of the folderss and files.
echo "<filemanager>";
echo "<parent_path>" . $_GET['path'] . "</parent_path>";
echo "<folders>";
echo $folder_data;
echo "</folders>";

echo "<files>";
echo $file_data;
echo "</files>";
echo "</filemanager>";
?>

